aboutsummaryrefslogtreecommitdiffstats
path: root/main/ristretto
diff options
context:
space:
mode:
Diffstat (limited to 'main/ristretto')
-rw-r--r--main/ristretto/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/ristretto/APKBUILD b/main/ristretto/APKBUILD
new file mode 100644
index 0000000000..4daa725939
--- /dev/null
+++ b/main/ristretto/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ristretto
+pkgver=0.0.22
+pkgrel=1
+pkgdesc="Ristretto is a image viewer for Xfce"
+url="http://goodies.xfce.org/projects/applications/ristretto"
+license="GPL-2"
+depends="desktop-file-utils hicolor-icon-theme"
+makedepends="pkgconfig libxfcegui4-dev dbus-glib-dev libexif-dev intltool
+ gettext-dev libiconv-dev thunar-dev"
+install=
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-xfce-desktop \
+ --disable-static || return 1
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="978ae19472c5a0b7d4b6622a68234a67 ristretto-0.0.22.tar.gz"